From 7999234dc400df1c90ff2a8ca0a8b61c354874e5 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Feb 17 2023 18:42:37 +0000
Subject: [PATCH 2/33] [iceweasel]: WIP - 'provides' firefox


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 583a619..cf19138 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -138,8 +138,8 @@ optdepends=(
   'speech-dispatcher: Text-to-Speech'
   'xdg-desktop-portal: Screensharing with Wayland'
 )
-# install=(${pkgname}.install) # TODO: redmine #2164
-# provides=('firefox')         # TODO: redmine #2164 - currently conflicts with 'your-freedom'
+# install=${pkgname}.install # TODO: redmine #2164
+# provides=('firefox')       # TODO: redmine #2164 - currently conflicts with 'your-freedom'
 replaces=('firefox')
 options=(
   !debug
diff --git a/libre/iceweasel/iceweasel.install b/libre/iceweasel/iceweasel.install
new file mode 100644
index 0000000..13f8558
--- /dev/null
+++ b/libre/iceweasel/iceweasel.install
@@ -0,0 +1,13 @@
+share_extensions()
+{
+  mkdir -p usr/lib/firefox/browser/extensions
+
+  if   [[ -d usr/lib/iceweasel/browser/extensions ]]
+  then mv usr/lib/iceweasel/browser/extensions/* usr/lib/firefox/browser/extensions/
+       rmdir usr/lib/iceweasel/browser/extensions
+       ln -s ../../firefox/browser/extensions usr/lib/iceweasel/browser/extensions
+  fi
+}
+
+pre_install()  { share_extensions ; }
+post_install() { share_extensions ; }

